Breadcrumbs

Metavault API - Get satellite columns

GetSatelliteColumns - GET

Path

/api/projects/{projectId}/model/{entityType}/{entityId}/satellites/{satelliteId}/columns

Http Method

GET

Overview

Required permissions

  • Read access to the Build module. BUILD READ

Request

Path parameters

Parameter

Type

Required

Description

Example

entityType

string

Yes

The type of entity the satellites are attached to. One of:

  • hubs

  • links

hubs

satelliteId

string

Yes

The id of the satellite

4a46da35-16dc-4e3e-9356-ecb6f4f61a29

Query parameters

See: Metavault API - General concepts | Paging, sorting and filters for collection query parameters.

Response

Success response (200 OK)

JSON
{
  "_embedded": {
    "columns": [
      {
        "id": "76977ffe-9bc2-4c4b-8b65-04bbdb55b033",
        "columnName": "column1",
        "dataType": "String",
        "required": true,
        "isComputed": false,
        "satelliteId": "27d589a3-6333-4d23-b86f-8be4429e15c7",
        "order": 0,
        "isSequence": false,
        "typeFullName": "VARCHAR"
      },
      {
        "id": "d6fd9b61-838c-4b1b-adaf-f1c8682a40b3",
        "columnName": "column2",
        "dataType": "String",
        "businessName": "Column two business name",
        "description": "The description of coolumn 2",
        "required": false,
        "isComputed": true,
        "satelliteId": "27d589a3-6333-4d23-b86f-8be4429e15c7",
        "order": 1,
        "length": 50,
        "isSequence": true,
        "typeFullName": "VARCHAR(50)"
      },
      {
        "id": "0e870a2f-b04e-4df1-b0f3-a495a69373ef",
        "columnName": "column3",
        "dataType": "String",
        "required": true,
        "isComputed": false,
        "satelliteId": "27d589a3-6333-4d23-b86f-8be4429e15c7",
        "order": 3,
        "isSequence": false,
        "typeFullName": "VARCHAR"
      }
    ]
  },
  "sort": [],
  "index": 0,
  "limit": 10,
  "expand": [],
  "total": 3
}
Response fields

For collection parameter responses see:Metavault API - General concepts